Criar campo adicional
curl --request POST \
--url https://api.vendaze.com/v1/custom-fields \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"label": "CPF",
"key": "cpf_cliente",
"value": {
"select_list": [
{
"key": "sl_opcao_a",
"option": "Opção A"
},
{
"key": "sl_opcao_b",
"option": "Opção B"
}
]
},
"required": false,
"show_people": true,
"show_companies": false,
"show_deals": false
}
'import requests
url = "https://api.vendaze.com/v1/custom-fields"
payload = {
"label": "CPF",
"key": "cpf_cliente",
"value": { "select_list": [
{
"key": "sl_opcao_a",
"option": "Opção A"
},
{
"key": "sl_opcao_b",
"option": "Opção B"
}
] },
"required": False,
"show_people": True,
"show_companies": False,
"show_deals": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
label: 'CPF',
key: 'cpf_cliente',
value: {
select_list: [{key: 'sl_opcao_a', option: 'Opção A'}, {key: 'sl_opcao_b', option: 'Opção B'}]
},
required: false,
show_people: true,
show_companies: false,
show_deals: false
})
};
fetch('https://api.vendaze.com/v1/custom-fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "CPF",
"key": "cpf_cliente",
"value": {
"select_list": [
{
"key": "sl_opcao_a",
"option": "Opção A"
},
{
"key": "sl_opcao_b",
"option": "Opção B"
}
]
},
"required": true,
"show_people": true,
"show_companies": true,
"show_deals": true,
"created_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "bad_request",
"message": "Request body must be valid JSON.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "unauthorized",
"message": "Missing or invalid Authorization header.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "insufficient_scope",
"message": "This endpoint requires the 'webhooks:read' scope.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "conflict",
"message": "A record with this value already exists.",
"fields": {
"key": "Value already in use."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "validation_error",
"message": "Validation failed.",
"fields": {
"url": "url must use HTTPS.",
"events": "At least one event is required."
},
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Rate limit exceeded. Try again in 60 seconds.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "internal_error",
"message": "An unexpected error occurred.",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Campos Adicionais
Criar campo adicional
Cria um novo campo adicional no workspace.
Para os tipos select e multi_select, envie as opções disponíveis em value como um array de strings.
Escopo necessário
Escopo necessário
custom_fields:write
POST
/
v1
/
custom-fields
Criar campo adicional
Autorizações
Access token OAuth 2.1.
Corpo
application/json
Rótulo do campo.
Required string length:
1 - 40Exemplo:
"CPF"
Chave única no workspace. Apenas letras minúsculas, dígitos e underscores entre palavras.
Required string length:
1 - 35Pattern:
^[a-z0-9]+(_[a-z0-9]+)*$Exemplo:
"cpf_cliente"
Tipo do campo.
Opções disponíveis:
text, long_text, select, multi_select, cpf, cnpj, date, number, link, address Opções para tipos select e multi_select. Obrigatório quando type for select ou multi_select. Deve ser omitido para todos os outros tipos de campo.
Show child attributes
Show child attributes
Exemplo:
{
"select_list": [
{ "key": "sl_opcao_a", "option": "Opção A" },
{ "key": "sl_opcao_b", "option": "Opção B" }
]
}Se o campo é obrigatório. Padrão: false.
Exemplo:
false
Exibir em pessoas. Padrão: true.
Exemplo:
true
Exibir em empresas. Padrão: true.
Exemplo:
false
Exibir em negócios. Padrão: false.
Exemplo:
false
Resposta
Campo criado com sucesso.
Show child attributes
Show child attributes
Esta página foi útil?
⌘I